libNVVM API (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 1.2. General Information Query

### Functions

nvvmResult nvvmIRVersion ( int* majorIR, int* minorIR, int* majorDbg, int* minorDbg )
  Get the NVVM IR version.
nvvmResult nvvmVersion ( int* major, int* minor )
  Get the NVVM version.

### Functions

nvvmResult nvvmIRVersion ( int* majorIR, int* minorIR, int* majorDbg, int* minorDbg )
  Get the NVVM IR version.

  ###### Parameters

  `majorIR`
    NVVM IR major version number.
  `minorIR`
    NVVM IR minor version number.
  `majorDbg`
    NVVM IR debug metadata major version number.
  `minorDbg`
    NVVM IR debug metadata minor version number.

  ###### Returns

  - NVVM_SUCCESS

  ###### Description

nvvmResult nvvmVersion ( int* major, int* minor )
  Get the NVVM version.

  ###### Parameters

  `major`
    NVVM major version number.
  `minor`
    NVVM minor version number.

  ###### Returns

  - NVVM_SUCCESS

  ###### Description